Recommended update for pacemaker

SUSE Recommended Update: Recommended update for pacemaker
Announcement ID: SUSE-RU-2020:1022-1
Rating: important
References: #1154881 #1155290 #1160410 #1168771
Affected Products:
  • SUSE Linux Enterprise High Availability 15-SP1

An update that has four recommended fixes can now be installed.

Description:

This update for pacemaker fixes the following issues:

  • libcrmcluster: use uint64_t type for corosync ringid (membership id) when updating node state (bsc#1168771)
  • get ready for implicit -fno-common with upcoming GCC 10 (bsc#1160410)
  • attrd: properly declare global variables as extern in header (bsc#1160410)
  • scheduler: make sure cluster-wide maintenance-mode=true overrides per-resource settings (bsc#1154881)
  • tools: Clear all prefer constraints when performing a move (bsc#1155290)
  • tools: Fix moving a resource with a lifetime constraint (bsc#1155290)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise High Availability 15-SP1:
    zypper in -t patch SUSE-SLE-Product-HA-15-SP1-2020-1022=1

Package List:

  • SUSE Linux Enterprise High Availability 15-SP1 (aarch64 ppc64le s390x x86_64):
    • libpacemaker-devel-2.0.1+20190417.13d370ca9-3.9.1
    • libpacemaker3-2.0.1+20190417.13d370ca9-3.9.1
    • libpacemaker3-debuginfo-2.0.1+20190417.13d370ca9-3.9.1
    • pacemaker-2.0.1+20190417.13d370ca9-3.9.1
    • pacemaker-cli-2.0.1+20190417.13d370ca9-3.9.1
    • pacemaker-cli-debuginfo-2.0.1+20190417.13d370ca9-3.9.1
    • pacemaker-debuginfo-2.0.1+20190417.13d370ca9-3.9.1
    • pacemaker-debugsource-2.0.1+20190417.13d370ca9-3.9.1
    • pacemaker-remote-2.0.1+20190417.13d370ca9-3.9.1
    • pacemaker-remote-debuginfo-2.0.1+20190417.13d370ca9-3.9.1
  • SUSE Linux Enterprise High Availability 15-SP1 (noarch):
    • pacemaker-cts-2.0.1+20190417.13d370ca9-3.9.1

References: